from sign_language_tools.pose.mediapipe.facemesh import FACEMESH_CONTOURS


__all__ = [
    'LIPS_EDGES',
    'HAND_EDGES',
    'UPPER_POSE_EDGES',
    'LOWER_POSE_EDGES',
    'POSE_EDGES',
    'FACE_EDGES',
]


LIPS_EDGES = (
    (0, 11), (11, 12), (12, 13), (13, 14), (14, 15),
    (15, 16), (16, 17), (17, 18), (18, 19), (19, 10),
    (0, 1), (1, 2), (2, 3), (3, 4), (4, 5),
    (5, 6), (6, 7), (7, 8), (8, 9), (9, 10),
    (20, 30), (30, 31), (31, 32), (32, 33), (33, 34),
    (34, 35), (35, 36), (36, 37), (37, 38), (38, 39),
    (20, 21), (21, 22), (22, 23), (23, 24), (24, 25),
    (25, 26), (26, 27), (27, 28), (28, 29), (29, 39)
)

HAND_EDGES = (
    (3, 4), (0, 5), (17, 18), (0, 17),
    (13, 14), (13, 17), (18, 19), (5, 6),
    (5, 9), (14, 15), (0, 1), (9, 10),
    (1, 2), (9, 13), (10, 11), (19, 20),
    (6, 7), (15, 16), (2, 3), (11, 12),
    (7, 8),
)

UPPER_POSE_EDGES = (
    (15, 21), (16, 20), (18, 20), (3, 7),
    (14, 16), (6, 8), (15, 17), (16, 22),
    (4, 5), (5, 6), (0, 1), (9, 10),
    (1, 2), (0, 4), (11, 13), (15, 19),
    (16, 18), (12, 14), (17, 19), (2, 3),
    (11, 12), (13, 15),
)

LOWER_POSE_EDGES = (
    (11, 23), (12, 24), (23, 24), (23, 25),
    (24, 26), (25, 27), (26, 28), (27, 29),
    (28, 30), (29, 31), (30, 32), (27, 31),
    (28, 32),
)

POSE_EDGES = LOWER_POSE_EDGES + UPPER_POSE_EDGES

FACE_EDGES = FACEMESH_CONTOURS
